// Code generated by mockery v2.20.0. DO NOT EDIT.

package mocks

import (
	mock "github.com/stretchr/testify/mock"
	cty "github.com/zclconf/go-cty/cty"
)

// PipelinePluginActionResponse is an autogenerated mock type for the PipelinePluginActionResponse type
type PipelinePluginActionResponse struct {
	mock.Mock
}

// Outputs provides a mock function with given fields:
func (_m *PipelinePluginActionResponse) Outputs() map[string]cty.Value {
	ret := _m.Called()

	var r0 map[string]cty.Value
	if rf, ok := ret.Get(0).(func() map[string]cty.Value); ok {
		r0 = rf()
	} else {
		if ret.Get(0) != nil {
			r0 = ret.Get(0).(map[string]cty.Value)
		}
	}

	return r0
}

type mockConstructorTestingTNewPipelinePluginActionResponse interface {
	mock.TestingT
	Cleanup(func())
}

// NewPipelinePluginActionResponse creates a new instance of PipelinePluginActionResponse. It also registers a testing interface on the mock and a cleanup function to assert the mocks expectations.
func NewPipelinePluginActionResponse(t mockConstructorTestingTNewPipelinePluginActionResponse) *PipelinePluginActionResponse {
	mock := &PipelinePluginActionResponse{}
	mock.Mock.Test(t)

	t.Cleanup(func() { mock.AssertExpectations(t) })

	return mock
}
